@mixin distribute-on-circle($circle-diameter, $count-items, $item-size) {
  $radius: $circle-diameter / 2;
  $half-item-size: $item-size / 2;
  $angle: 0;
  $angle-step: 180 / ($count-items - 1);

  &-list {
    position: absolute;
    width: $circle-diameter;
    height: $circle-diameter;
  }

  &-item {
    position: absolute;
    top: 0;
    left: 50%;
    margin-left: -$half-item-size;
    width: $item-size;
    height: $item-size;
    transform-origin: 50% $radius;
  }

  @for $i from 1 through $count-items {
    &-item:nth-child(#{$i}) {
      transform: rotate($angle * 1deg);

      button {
        transform: rotate($angle * -1deg);
      }

      img {
        transform: rotate($angle * -1deg);
      }
    }
    $angle: $angle - $angle-step;
  }
}

.card {
  position: relative;
  display: flex;
  align-items: center;
  padding: 24px;
  border-radius: 10px;
  background: #FFF;
  box-shadow: 0 5px 5px 0 #cecece;

  &__left {
    position: relative;
    padding: 20px 10px 20px 25px;
  }

  &__flags {
    z-index: 2;
    position: relative;

    &-list {
      top: -24px;
      left: -24px;
    }

    @include distribute-on-circle((110px + 48px), 9, 18px);

    &-item {
      img {
        display: block;
        width: 100%;
      }

      &-close {
        position: absolute;
        display: block;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        border-radius: 50%;
        background-color: rgba(76, 84, 123, .8);
        padding: 0;
        border: 0;
        cursor: pointer;
        outline: none;

        svg {
          width: 10px;
          height: 10px;
          display: block;
          margin: auto;
        }
      }
    }
  }

  &__photo {
    position: relative;
    width: 110px;

    img {
      display: block;
      max-width: 100%;
      max-height: 100%;
      height: auto;
    }

    &-edit {
      position: absolute;
      top: 4px;
      right: 14px;
      z-index: 4;

      button {
        display: flex;
        width: 24px;
        align-items: center;
        justify-content: center;
        height: 24px;
        padding: 0;
        background-color: #4C547B;
        border-radius: 50%;
        border: 0;
        cursor: pointer;
        outline: none;

        svg {
          display: block;
        }
      }
    }
  }

  &__right {
  }

  &__title {
    position: relative;
    min-height: 15px;
    padding-right: 50px;
    font-size: 20px;
    line-height: 24px;
    font-weight: 700;
    color: rgba(0, 31, 61, 0.9);

    &-icon {
      position: absolute;
      top: 0;
      right: 35px;
    }
  }

  &__rating-and-reviews {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    margin-top: 9px;
    font-size: 9px;
    line-height: 14px;
  }

  &__rating {
  }

  &__reviews {
    color: #3C738D;

    a {
      color: #3C738D;
      text-decoration: underline;

      &active,
      &:hover {
        text-decoration: none;
      }
    }
  }

  &__description {
    margin-top: 10px;
    font-size: 12px;
    line-height: 16px;
  }

  &__location {
    position: relative;
    margin-top: 8px;
    padding-left: 11px;
    font-size: 9px;
    line-height: 14px;

    &-icon {
      position: absolute;
      left: 0;
      top: 0;
    }
  }

  &__edit {
    position: absolute;
    top: 11px;
    right: 11px;

    button {
      padding: 0;
      background-color: transparent;
      border: 0;
      outline: none;
      cursor: pointer;

      svg {
        display: block;
      }
    }
  }
}
